pipeline {
    agent {
        kubernetes {
            yaml """
apiVersion: v1 
kind: Pod 
metadata: 
  labels: 
    jenkins-build-app: app-build 
    build-number: "build-app-${BUILD_NUMBER}" 
spec: 
  containers: 
  - name: kaniko
    image: gcr.io/kaniko-project/executor:debug
    imagePullPolicy: IfNotPresent
    command: 
    - sleep  
    args: 
    - "99999999999"
    volumeMounts: 
    - name: jenkins-docker-cfg 
      mountPath: /kaniko/.docker 
  volumes:
    - name: jenkins-docker-cfg 
      secret:
        secretName: docker-credentials
        items:
          - key: .dockerconfigjson
            path: config.json
""" 


        }
    }
    options {
        ansiColor('xterm')
    }      
    stages {
        stage('Build Image with Kaniko') {
            steps {
                echo 'Building'
                container(name: 'kaniko' , shell: '/busybox/sh') {
                    sh ''' 
                     /kaniko/executor --context `pwd` --destination narenas/report:latest
                    ''' 
                }
            }
        }
    }
}